Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -29,4 +26,8 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -35,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-LayerPTLIndex1                : 2 
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 4.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -36,3 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -29,4 +26,8 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -35,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-LayerPTLIndex1                : 2 
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -36,3 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -29,4 +26,8 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -35,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-LayerPTLIndex1                : 2 
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-#Level                         : 4.1
-#This is level of the whole bitstream
-Level0                         : 4.1
-#This is level of the base layer
-Level1                         : 4.1
-#This is level of the enhancement layer
-Level2                         : 4.1
+
+Level0                        : 4.1         # Level of the whole bitstream
+Level1                        : 4.1         # Level of the base layer
+Level2                        : 4.1         # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -36,3 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : O:/Kimono1_1920x1080_24.yuv
@@ -29,4 +26,8 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -35,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-LayerPTLIndex1                : 2 
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 968)
@@ -1,12 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 4
-#This is level of the enhancement layer
-Level2                         : 4
 
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -20,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -37,3 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 968)
@@ -1,11 +1,9 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 3.1         # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
+
 #======== File I/O ===============
 InputFile0                    : ParkScene_960x544_24_zerophase_0.9pi.yuv
@@ -18,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -28,4 +26,8 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
+
+#============= Reference location offset parameters ==================
 NumScaledRefLayerOffsets1        : 1        # Number of reference location offset parameters
 ScaledRefLayerId1                : 0        # List of ref layer id (i-th entry for i-th ref loc offset parameters)
@@ -34,4 +36,2 @@
 RefRegionBottomOffset1           : 2        # List of ref region bottom offsets
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
-QP1                           : 20
-LayerPTLIndex1                : 2 
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-#Level                         : 4
-#This is level of the whole bitstream
-Level0                         : 4
-#This is level of the base layer
-Level1                         : 4
-#This is level of the enhancement layer
-Level2                         : 4
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -36,3 +33,3 @@
 ResamplePhaseSetPresentFlag1     : 0        # List of resample phase set present flags
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 968)
@@ -1,13 +1,9 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-#Level                         : 5
-#This is level of the whole bitstream
-Level0                         : 5
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 5
 
-#======
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
+
 #======== File I/O ===============
 InputFile0                    : PeopleOnStreet_1280x800_30_crop_zerophase_0.9pi.yuv
@@ -20,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -31,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 968)
@@ -1,13 +1,9 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-#Level                         : 5
-#This is level of the whole bitstream
-Level0                         : 5
-#This is level of the base layer
-Level1                         : 5
-#This is level of the enhancement layer
-Level2                         : 5
 
-#======
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
+
 #======== File I/O ===============
 InputFile0                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -20,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -31,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-#Level                         : 5
-#This is level of the whole bitstream
-Level0                         : 5
-#This is level of the base layer
-Level1                         : 3.1
-#This is level of the enhancement layer
-Level2                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 941)
+++ branches/SHM-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 968)
@@ -1,11 +1,8 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-#Level                         : 5
-#This is level of the whole bitstream
-Level0                         : 5
-#This is level of the base layer
-Level1                         : 5
-#This is level of the enhancement layer
-Level2                         : 5
+
+Level0                        : 5           # Level of the whole bitstream
+Level1                        : 5           # Level of the base layer
+Level2                        : 5           # Level of the enhancement layer
 
 #======== File I/O ===============
@@ -19,5 +16,5 @@
 ConformanceMode0              : 1           # conformance mode
 QP0                           : 22
-LayerPTLIndex0                : 1 
+LayerPTLIndex0                : 1
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -30,3 +27,3 @@
 ConformanceMode1              : 1           # conformance mode
 QP1                           : 20
-LayerPTLIndex1                : 2 
+LayerPTLIndex1                : 2