Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 966)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 969)
@@ -523,7 +523,5 @@
 #if H_3D_IC
   ("IlluCompEnable",           m_abUseIC, true, "Enable illumination compensation")
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
   ("IlluCompLowLatencyEnc",    m_bUseLowLatencyICEnc, false, "Enable low-latency illumination compensation encoding")
-#endif
 #endif
 #if H_3D_INTER_SDC
@@ -2515,7 +2513,5 @@
 #if H_3D_IC
   printf( "IlluCompEnable:%d ", m_abUseIC);
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
   printf ("IlluCompLowLatencyEnc:%d ",  m_bUseLowLatencyICEnc);
-#endif
 #endif
 #if H_3D_NBDV_REF
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 966)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 969)
@@ -140,7 +140,5 @@
 #if H_3D_IC
   Bool   m_abUseIC;
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
-  Bool  m_bUseLowLatencyICEnc;
-#endif
+  Bool   m_bUseLowLatencyICEnc;
 #endif
 #if H_3D_NBDV_REF
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 966)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 969)
@@ -193,9 +193,4 @@
     m_cTEncTop.setDWeight                      ( isDepth ? m_iDWeight             : 0     );
 #endif // H_3D_VSO
-#if H_3D_ARP && !QC_IV_PRED_CONSTRAINT_H0137
-    //====== Advanced Inter-view Residual Prediction =========
-    m_cTEncTop.setUseAdvRP                     ( ( isDepth || 0==layerIdInVps ) ? 0 : m_uiUseAdvResPred );
-    m_cTEncTop.setARPStepNum                   ( ( isDepth || 0==layerIdInVps ) ? 1 : H_3D_ARP_WFNR     );
-#endif
 #if H_3D_SPIVMP
     m_cTEncTop.setSubPULog2Size                 (( isDepth || 0==layerIdInVps ) ? 0 : m_iSubPULog2Size   );
@@ -204,7 +199,5 @@
 #if H_3D_IC
     m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_abUseIC );
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
     m_cTEncTop.setUseICLowLatencyEnc           ( m_bUseLowLatencyICEnc );
-#endif
 #endif
   //========== Depth intra modes ==========
@@ -1869,11 +1862,6 @@
 
 #if H_3D_ARP
-#if QC_IV_PRED_CONSTRAINT_H0137
     vps.setUseAdvRP        ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 0 : m_uiUseAdvResPred );
     vps.setARPStepNum      ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 1 : H_3D_ARP_WFNR     );
-#else
-    vps.setUseAdvRP        ( layer, ( isDepth || isLayerZero ) ? 0 : m_uiUseAdvResPred );
-    vps.setARPStepNum      ( layer, ( isDepth || isLayerZero ) ? 1 : H_3D_ARP_WFNR     );
-#endif  
 #endif  
 #if H_3D_SPIVMP
@@ -1893,5 +1881,4 @@
 
 #if H_3D_IV_MERGE
-#if QC_IV_PRED_CONSTRAINT_H0137
     if( !vps.getNumDirectRefLayers(layer) )
     {
@@ -1900,16 +1887,13 @@
     else
     {
-#endif
-    if( isDepth )
-    {
-      vps.setIvMvPredFlag         ( layer, (layer != 1) && m_ivMvPredFlag[1] ); 
-    }
-    else
-    {
-      vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
-    }
-#if QC_IV_PRED_CONSTRAINT_H0137
-    }
-#endif
+      if( isDepth )
+      {
+        vps.setIvMvPredFlag         ( layer, (layer != 1) && m_ivMvPredFlag[1] ); 
+      }
+      else
+      {
+        vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
+      }
+    }
 #endif
 #if H_3D_NBDV_REF
@@ -1917,9 +1901,5 @@
 #endif
 #if H_3D_VSP
-#if QC_IV_PRED_CONSTRAINT_H0137
     vps.setViewSynthesisPredFlag( layer, !isLayerZero && !isDepth && vps.getNumDirectRefLayers(layer) && m_viewSynthesisPredFlag );         
-#else
-    vps.setViewSynthesisPredFlag( layer, !isLayerZero && !isDepth && m_viewSynthesisPredFlag );         
-#endif
 #endif
 #if H_3D_DBBP